import { defineColumns } from '@bole-core/components';

export const RewardApplyTradeCheckColumns = defineColumns([
  {
    id: '1',
    enCode: 'userName',
    name: '帐号',
    width: 160,
  },
  {
    id: '2',
    enCode: 'enterpriseName',
    name: '企业名称',
    width: 250,
  },
  {
    id: '3',
    enCode: 'societyCreditCode',
    name: '信用代码',
    width: 200,
  },
  {
    id: '4',
    enCode: 'contactPhone',
    name: '电话',
    width: 160,
  },
  {
    id: '5',
    enCode: 'authType',
    name: '企业类型',
    width: 160,
  },
  {
    id: '6',
    enCode: 'parkName',
    name: '所属园区',
    width: 250,
  },
  {
    id: '7',
    enCode: 'parkTypeName',
    name: '园区类型',
    width: 120,
  },
  {
    id: '8',
    enCode: 'auditStatus',
    name: '审核状态',
    width: 120,
  },
  {
    id: '9',
    enCode: 'payRemark',
    name: '消费类型',
    width: 160,
  },
  {
    id: '10',
    enCode: 'tradeAmount',
    name: '申请出账金额',
    width: 160,
  },
  {
    id: '11',
    enCode: 'tradeTime',
    name: '申请出账时间',
    width: 180,
  },
  {
    id: '12',
    enCode: 'remianAmount',
    name: '资金余额',
    width: 120,
  },
  {
    id: '13',
    enCode: 'auditTime',
    name: '审核时间',
    width: 180,
  },
]);

export const ImportParkBountyDataHeaderMap = {
  enterpriseName: '企业名称',
  societyCreditCode: '信用代码',
  financeToAmount: '财政拨付金额',
  transferToAmount: '平台拨付金额',
  remark: '备注',
};

export const FinancialApprovalColumns = defineColumns([
  {
    id: '1',
    enCode: 'userName',
    name: '帐号',
    width: 160,
  },
  {
    id: '2',
    enCode: 'enterpriseName',
    name: '企业名称',
    width: 250,
  },
  {
    id: '3',
    enCode: 'societyCreditCode',
    name: '信用代码',
    width: 200,
  },
  {
    id: '4',
    enCode: 'contactPhone',
    name: '电话',
    width: 160,
  },
  {
    id: '5',
    enCode: 'authType',
    name: '企业类型',
    width: 160,
  },
  {
    id: '6',
    enCode: 'parkName',
    name: '所属园区',
    width: 250,
  },
  {
    id: '7',
    enCode: 'parkTypeName',
    name: '园区类型',
    width: 120,
  },
  {
    id: '8',
    enCode: 'payRemark',
    name: '消费类型',
    width: 160,
  },
  {
    id: '9',
    enCode: 'tradeAmount',
    name: '申请出账金额',
    width: 160,
  },
  {
    id: '10',
    enCode: 'tradeTime',
    name: '出账审核日期',
    width: 180,
  },
  {
    id: '11',
    enCode: 'remianAmount',
    name: '资金余额',
    width: 160,
  },
  {
    id: '12',
    enCode: 'financeAuditStatus',
    name: '财务审核状态',
    width: 160,
  },
  {
    id: '13',
    enCode: 'financeAuditTime',
    name: '审核时间',
    width: 180,
  },
]);
